Generation Framework

## org.eclipse.gmf.mappings
Interface NodeMapping

All Superinterfaces:
  AppearanceSteward, org.eclipse.emf.ecore.EObject, MappingEntry, MenuOwner, org.eclipse.emf.common.notify.Notifier, ToolOwner

All Known Implementing Classes:
  NodeMappingImpl

    public interface NodeMapping

extends MappingEntry, MenuOwner, ToolOwner, AppearanceSteward

A representation of the model object 'Node Mapping'. Both top-level diagram node and any inner node

The following features are supported:

- `Diagram Node`
- `Children`
- `Compartments`

See Also:
  `GMFMapPackage.getNodeMapping()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<ChildReference>` `getChildren()` Returns the value of the 'Children' containment reference list.
`org.eclipse.emf.common.util.EList<CompartmentMapping>` `getCompartments()` Returns the value of the 'Compartments' containment reference list.
`Node` `getDiagramNode()` Returns the value of the 'Diagram Node' reference
`void` `setDiagramNode(Node value)` Sets the value of the '`Diagram Node`' reference

Methods inherited from interface org.eclipse.gmf.mappings.MappingEntry
`getDomainContext, getDomainInitializer, getDomainMetaElement, getDomainSpecialization, getLabelMappings, getRelatedDiagrams, setDomainInitializer, setDomainMetaElement, setDomainSpecialization`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.mappings.MenuOwner
`getContextMenu, setContextMenu`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.mappings.ToolOwner
`getTool, setTool`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.mappings.AppearanceSteward
`getAppearanceStyle, setAppearanceStyle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramNode

    Node getDiagramNode()

  Returns the value of the 'Diagram Node' reference.

  If the meaning of the 'Diagram Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Node' reference.
  See Also:
    `setDiagramNode(Node)`, `GMFMapPackage.getNodeMapping_DiagramNode()`
  ** Generated **
  Model:
    required="true"

### setDiagramNode

    void setDiagramNode(Node value)

  Sets the value of the '`Diagram Node`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Node' reference.
  See Also:
    `getDiagramNode()`
  ** Generated **

### getChildren

    org.eclipse.emf.common.util.EList<ChildReference> getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `ChildReference`. It is bidirectional and its opposite is '`Parent Node`'.

  If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `GMFMapPackage.getNodeMapping_Children()`, `ChildReference.getParentNode()`
  ** Generated **
  Model:
    opposite="parentNode" containment="true"

### getCompartments

    org.eclipse.emf.common.util.EList<CompartmentMapping> getCompartments()

  Returns the value of the 'Compartments' containment reference list. The list contents are of type `CompartmentMapping`. It is bidirectional and its opposite is '`Parent Node`'.

  If the meaning of the 'Compartments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartments' containment reference list.
  See Also:
    `GMFMapPackage.getNodeMapping_Compartments()`, `CompartmentMapping.getParentNode()`
  ** Generated **
  Model:
    opposite="parentNode" containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.